#============================================================================
#	Datei:				01 - Azure PowerShell.ps1
#
#	Zusammenfassung:	In diesem Script wird geschaut welche PowerShell 
#                       Version verwendet wird und die Azure PowerShell 
#                       installiert
#
#	Datum:				2020-12-13
#
#   Revisionen: 		yyyy-dd-mm
#                  		 - ...
#	Buch:			Azure für  Dummies
#
#	PowerShell Version: 5.1
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH 
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/

#----------------------------------------------------------------------------
# 01. PowerShell Version auslesen
#----------------------------------------------------------------------------
$PSVersionTable.PSVersion

#----------------------------------------------------------------------------
# 02. Azure PowerShell installieren
#----------------------------------------------------------------------------
if ($PSVersionTable.PSEdition `
      -eq 'Desktop' `
      -and (Get-Module `
              -Name AzureRM `
              -ListAvailable)) {
        Write-Warning `
            -Message ('Az Modul wurde nicht installiert. '+`
                      'Die Module AzureRM und Az sind nicht '+`
                      'kompatibel und können nicht gleichzeitig '+`
                      'installiert werden! ')} `
else {
    Install-Module `
        -Name Az `
        -AllowClobber `
        -Scope CurrentUser
}

#----------------------------------------------------------------------------
# 03. lokale Shell mit Azure verbinden.
#----------------------------------------------------------------------------
Connect-AzAccount