#============================================================================
#	Datei:		01 - Storage.ps1
#
#	Summary:	In diesem Script gibt es ein paar Beispiele zu Storage unter Azure
#
#	Datum:		2021-07-29
#
#   Revisionen: yyyy-dd-mm
#                   - ...
#	Kunde:	    Azure für Dummies
#
#	PowerShell Version: 5.1
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH
#
#   Dieses Script ist nur zu Lehr- bzw. Lernzwecken gedacht
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/

az group create \
    --name "dummiesStorage" \
    --location "northeurope"

az storage account create \
    --name "dummiesstoragefge" \
    --resource-group "dummiesStorage" \
    --location "northeurope" \
    --sku Standard_LRS \
    --kind StorageV2

az storage account keys list \
    --account-name "dummiesstoragefge" \
    --resource-group "dummiesStorage" \
    --query [0].value

az storage account keys list \
    --account-name "dummiesstoragefge" \
    --resource-group "dummiesStorage" \
    --query-examples

az storage container create \
    --account-name "dummiesstoragefge" \
    --name "files" \
    --auth-mode key \
    --account-key "<ihr-schlüssel>"

az storage blob upload \
    --account-name "dummiesstoragefge" \
    --container-name "files" \
    --name helloworld \
    --file "HelloWorld.txt" \
    --auth-mode key \
    --account-key "<ihr-schlüssel>"

az storage blob list \
    --account-name "dummiesstoragefge" \
    --container-name "files" \
    --auth-mode key \
    --account-key "<ihr-schlüssel>"
