#============================================================================
#	Datei:		01-MySQL.ps1
#
#	Summary:	Dieses Script erstellt und konfiguriert eine MySQL Datenbank
#
#	Datum:		2021-07-28
#
#   Revisionen: yyyy-dd-mm
#                   - ...
#	Kunde:	    Azure für Dummies
#
#	PowerShell Version: 5.1
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH
#
#   Dieses Script ist nur zu Lehr- bzw. Lernzwecken gedacht
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/

$tenantId = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"

# An Ihrem Tenant anmelden
az login --tenant $tenantId --use-device-code

# Eine Ressourcengruppe erstellen, in der die neuen Ressourcen liegen. 
az group create `
  --location "West Europe" `
  --name "AzureForDummiesMySQL"

# Einen MySQL Datenbankserver anlegen, auf dem Ihre Datenbank liegen wird
az mysql server create `
  --name "mysqlsrv-dummies2" `
  --admin-user "adm.dummies" `
  --admin-password "qUe4tu!rCCuyJEB&" `
  --resource-group "AzureForDummiesMySQL" `
  --sku-name "B_Gen5_1" 

az mysql server list-skus `
  --location "West Europe"

# eine Datenbank auf dem neuen Server anlegen
az mysql db create `
  --name "mysqldb-dummies" `
  --resource-group "AzureForDummiesMySQL" `
  --server-name "mysqlsrv-dummies"

# Die Ressourcengruppe wieder aufräumen.
az group delete --name "AzureForDummiesMySQL" 