#============================================================================
#	Datei:		02-MariaDB.ps1
#
#	Summary:	Dieses Script legt eine Azure SQL Database for MariaDB an
#
#	Datum:		2021-07-28
#
# Revisionen: yyyy-dd-mm
#                   - ...
#	Buch:	    Azure für Dummies
#
#	PowerShell Version: 5.1
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH
#
#   Dieses Script ist nur zu Lehr- bzw. Lernzwecken gedacht
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/

$tenantId = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"

# An Ihrem Tenant anmelden
az login --tenant $tenantId --use-device-code

# Eine Ressourcengruppe erstellen, in der die neuen Ressourcen liegen. 
az group create `
  --location "West Europe" `
  --name "AzureForDummiesMariaDB"

# Einen MySQL Datenbankserver anlegen, auf dem Ihre Datenbank liegen wird
az mariadb server create `
  --name "mariadbsrv-dummies" `
  --admin-user "adm.dummies" `
  --admin-password "#Pa$$w01rd" `
  --resource-group "AzureForDummiesMariaDB" `
  --sku-name "B_Gen5_1" `
  --location "West Europe"


# eine Datenbank auf dem neuen Server anlegen
az mariadb db create `
  --name "mariadb-dummies" `
  --resource-group "AzureForDummiesMariaDB" `
  --server-name "mariadbsrv-dummies"

# Die Ressourcengruppe wieder aufräumen.
az group delete --name "AzureForDummiesMySQL" 