#============================================================================
#	Datei:		04-Redis.ps1
#
#	Summary:	Dieses Script legt einen Redis Cache an
#
#	Datum:		2021-07-28
#
# Revisionen: yyyy-dd-mm
#                   - ...
#	Buch:	    Azure für Dummies
#
#	PowerShell Version: 5.1
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH
#
#   Dieses Script ist nur zu Lehr- bzw. Lernzwecken gedacht
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/

$tenantId = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"

# An Ihrem Tenant anmelden
az login --tenant $tenantId --use-device-code

# Eine Ressourcengruppe erstellen, in der die neuen Ressourcen liegen. 
az group create `
  --location "West Europe" `
  --name "AzureForDummiesRedisCache"

# Einen Redis Cache anlegen
az redis create `
  --location "West Europe" `
  --name "rediscache-dummies" `
  --resource-group "AzureForDummiesRedisCache" `
  --sku "Basic" `
  --vm-size "c0"

# Die Ressourcengruppe wieder aufräumen.
az group delete --name "AzureForDummiesRedisCache" 