$tenantId = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"

# An Ihrem Tenant anmelden
az login --tenant $tenantId --use-device-code

# Eine Ressourcengruppe erstellen, in der die neuen Ressourcen liegen. 
az group create `
  --location "West Europe" `
  --name "AzureForDummiesSQLDB"

# Einen SQL Datenbankserver anlegen, auf dem Ihre Datenbank liegen wird
az sql server create `
  --name "sqlsrv-dummies" `
  --resource-group "AzureForDummiesSQLDB" `
  --location "West Europe" `
  --admin-user "sqluser" `
  --admin-password "Pa$$w01rd!!"

az sql db create `
  --name "sqldb-dummies" `
  --resource-group "AzureForDummiesSQLDB" `
  --server "sqlsrv-dummies" `
  --sample-name "AdventureWorksLT" `
  --edition "GeneralPurpose" `
  --family "Gen5" `
  --capacity 1

az sql db list-editions `
  --location "West Europe" `
  --output table 

az sql db create `
  --name "sqldb-dummies-serverless" `
  --resource-group "AzureForDummiesSQLDB" `
  --server "sqlsrv-dummies" `
  --sample-name "AdventureWorksLT" `
  --edition "GeneralPurpose" `
  --family "Gen5" `
  --compute-model Serverless `
  --auto-pause-delay 60 `
  --capacity 2
  
az sql server firewall-rule create `
  --resource-group "AzureForDummiesSQLDB" `
  --server "sqlsrv-dummies" `
  --name "Homeoffice_MA1" `
  --start-ip-address 1.2.3.4 `
  --end-ip-address 5.6.7.8 

$ipaddress = (Invoke-WebRequest -uri "http://ifconfig.me/ip").Content
az sql server firewall-rule create `
  --resource-group "AzureForDummiesSQLDB" `
  --server "sqlsrv-dummies" `
  --name "Homeoffice_MA1" `
  --start-ip-address $ipaddress `
  --end-ip-address $ipaddress 

# Die Ressourcengruppe wieder aufräumen.
az group delete --name "AzureForDummiesSQLDB" 