#============================================================================
#	Datei:		01-NoSQL-Datenbank.ps1
#
#	Summary:	Dieses Script legt eine CosmosDB an
#
#	Datum:		2021-07-29
#
#   Revisionen: yyyy-dd-mm
#                   - ...
#	Kunde:	    Azure für Dummies
#
#	PowerShell Version: 5.1
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH
#
#   Dieses Script ist nur zu Lehr- bzw. Lernzwecken gedacht
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/

$tenantId = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"

# An Ihrem Tenant anmelden
az login --tenant $tenantId --use-device-code

az group create `
  --location "West Europe" `
  --name "AzureForDummiesNoSQL"

az cosmosdb create `
  --resource-group "AzureForDummiesNoSQL" `
  --name "cosmos-for-dummies" `
  --locations regionName=westeurope failoverPriority=0 `
  --locations regionName=northeurope failoverPriority=1 `
  --enable-multiple-write-locations

az cosmosdb sql database create `
  --account-name "cosmos-for-dummies" `
  --name "sqldb" `
  --resource-group "AzureForDummiesNoSQL" `
  --throughput 400

az cosmosdb sql container create `
  --account-name "cosmos-for-dummies" `
  --database-name "sqldb" `
  --name "sql-container" `
  --resource-group "AzureForDummiesNoSQL" `
  --partition-key-path "/userid"

  az cosmosdb create `
  --resource-group "AzureForDummiesNoSQL" `
  --name "cosmos-mongodb-for-dummies" `
  --kind "mongodb" `
  --locations regionName=westeurope failoverPriority=0 `
  --locations regionName=northeurope failoverPriority=1 `
  --enable-multiple-write-locations

# legen Sie die Datenbank mit der MongoDB API an 
az cosmosdb mongodb database create `
  --account-name "cosmos-mongodb-for-dummies" `
  --name "mongodb" `
  --resource-group "AzureForDummiesNoSQL" `
  --throughput 400

# legen Sie einen Container in der Datenbank an
az cosmosdb mongodb container create `
  --account-name "cosmos-mongodb-for-dummies" `
  --database-name "mongodb" `
  --name "mongodb-container" `
  --resource-group "AzureForDummiesNoSQL" `
  --partition-key-path "/userid"

az storage account create `
  --name "datalakegen2fordummies" `
  --resource-group "AzureForDummiesNoSQL" `
  --location "West Europe" `
  --sku Standard_RAGRS `
  --kind StorageV2 `
  --enable-hierarchical-namespace true 

az vm image list `
  --offer CouchDB `
  --output table `
  --all