#============================================================================
#	Datei:		01 Serverless.ps1
#
#	Summary:	Dieses Script legt eine Azure Function an
#
#	Datum:		2021-07-29
#
# Revisionen: yyyy-dd-mm
#                   - ...
#	Buch:	    Azure für Dummies
#
#	PowerShell Version: 5.1
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH
#
#   Dieses Script ist nur zu Lehr- bzw. Lernzwecken gedacht
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/
$tenantId = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"

# An Ihrem Tenant anmelden
az login --tenant $tenantId --use-device-code

az group create `
  --location "West Europe" `
  --name "AzureForDummiesServerless"

az storage account create `
  --name "storageserverlessbk" `
  --location "West Europe" `
  --resource-group "AzureForDummiesServerless" `
  --sku Standard_LRS 

  
az functionapp create `
  --name "function-dummies-serverless" `
  --storage-account "storageserverlessbk" `
  --consumption-plan-location "westeurope" `
  --resource-group "AzureForDummiesServerless" `
  --functions-version 3

func init mysecondfunction --dotnet

cd mysecondfunction

func new --name HttpExample --template "HTTP trigger" --authlevel "anonymous"

func start

func azure functionapp publish function-dummies-serverless

az sql server create `
  --name "sqlsrv-dummies-serverless" `
  --resource-group "AzureForDummiesServerless" `
  --location "West Europe" `
  --admin-user "sqluser" `
  --admin-password "Pa$$w01rd!!"

az sql db create `
  --resource-group "AzureForDummiesServerless" `
  --server "sqlsrv-dummies-serverless" `
  --name "MyServerlessDB" `
  --edition GeneralPurpose `
  --family Gen5 `
  --min-capacity 0.5 `
  --capacity 2 `
  --compute-model Serverless `
  --auto-pause-delay 720