#============================================================================
#	Datei:		01 ADF.ps1
#
#	Summary:	Dieses Script legt eine Azure Data Factory an
#
#	Datum:		2021-07-29
#
# Revisionen: yyyy-dd-mm
#                   - ...
#	Buch:	    Azure für Dummies
#
#	PowerShell Version: 5.1
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH
#
#   Dieses Script ist nur zu Lehr- bzw. Lernzwecken gedacht
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/
$tenantId = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"

# An Ihrem Tenant anmelden
az login --tenant $tenantId --use-device-code

az group create `
  --location "West Europe" `
  --name "AzureForDummiesDataFactory"

az datafactory factory create `
  --location "West Europe" `
  --name "dataFactoryForDummies" `
  --resource-group "AzureForDummiesDataFactory"

az storage account create `
  --location "West Europe" `
  --name "storageadfsource" `
  --resource-group "AzureForDummiesDataFactory" `
  --sku Standard_LRS

az sql server create `
  --name "sqlsrv-dummies-adf" `
  --resource-group "AzureForDummiesDataFactory" `
  --location "West Europe" `
  --admin-user "sqluser" `
  --admin-password "Pa$$w01rd!!"

az sql db create `
  --resource-group "AzureForDummiesDataFactory" `
  --server "sqlsrv-dummies-adf" `
  --name "MySinkDB" `
  --edition GeneralPurpose `
  --family Gen5 `
  --min-capacity 0.5 `
  --capacity 2 `
  --compute-model Serverless `
  --auto-pause-delay 720


az sql server firewall-rule create `
  --resource-group "AzureForDummiesDataFactory" `
  --server "sqlsrv-dummies-adf" `
  --name "AllowAzureServices" `
  --start-ip-address 0.0.0.0 `
  --end-ip-address 0.0.0.0

$ipaddress = (Invoke-WebRequest -uri "http://ifconfig.me/ip").Content
az sql server firewall-rule create `
  --resource-group "AzureForDummiesDataFactory" `
  --server "sqlsrv-dummies-adf" `
  --name "Homeoffice_MA1" `
  --start-ip-address $ipaddress `
  --end-ip-address $ipaddress 

az storage account keys list `
  --account-name "storageadfsource"

az storage container create `
  --name "source-data" `
  --account-key yO0DXU4/H6didSPfmRVFjz+E83r6bRmBBogyy642P3g1D90izBPMZhL+W7mQmHXWThjK5Qqzh9x64F6zVX3uOA== `
  --account-name "storageadfsource" 
  
az storage blob copy start `
  --account-key yO0DXU4/H6didSPfmRVFjz+E83r6bRmBBogyy642P3g1D90izBPMZhL+W7mQmHXWThjK5Qqzh9x64F6zVX3uOA== `
  --account-name "storageadfsource" `
  --destination-blob "yellow_tripdata_2019-01.csv" `
  --destination-container "source-data" `
  --source-uri https://s3.amazonaws.com/nyc-tlc/trip+data/yellow_tripdata_2019-01.csv

az storage blob show `
  --account-key yO0DXU4/H6didSPfmRVFjz+E83r6bRmBBogyy642P3g1D90izBPMZhL+W7mQmHXWThjK5Qqzh9x64F6zVX3uOA== `
  --account-name "storageadfsource" `
  --name "yellow_tripdata_2019-01.csv" `
  --container "source-data" 

az datafactory linked-service list `
  --factory-name "dataFactoryForDummies" `
  --resource-group "AzureForDummiesDataFactory"
