#============================================================================
#	Datei:		Container.sh
#
#	Summary:	Dieses Script legt eine Container Regsitry eine Azure Containert Instance und einen Kubernetes Cluster an
#
#	Datum:		2021-07-29
#
#   Revisionen: yyyy-dd-mm
#                   - ...
#	Buch:	    Azure für Dummies
#
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/
az group create \
   --name dummiescontainerrg \
   --location northeurope

az container create \
   --resource-group dummiescontainerrg \
   --name dummiescontainer \
   --image mcr.microsoft.com/azuredocs/aci-helloworld \
   --dns-name-label dummies-container-demo \
   --ports 80   

az acr create \
    --resource-group dummiescontainerrg \
    --name dummiescontainerregistry \
    --sku Basic \
    --location northeurope

az acr login \
    --name dummiescontainerregistry  

az aks create \
    --resource-group dummiescontainerrg \
    --name myAKSCluster \
    --node-count 3 \
    --enable-addons monitoring \
    --generate-ssh-keys \
    --location northeurope    