#============================================================================
#	Datei:		01-IoT.ps1
#
#	Summary:	Dieses Script legt einen Azure IoT Hub an
#
#	Datum:		2021-07-29
#
# Revisionen: yyyy-dd-mm
#                   - ...
#	Kunde:	    Azure für Dummies
#
#	PowerShell Version: 5.1
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH
#
#   Dieses Script ist nur zu Lehr- bzw. Lernzwecken gedacht
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/


$tenantId = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"

# An Ihrem Tenant anmelden
az login --tenant $tenantId --use-device-code

az group create `
  --location "West Europe" `
  --name "AzureForDummiesIoT"

az extension add --name azure-iot

az iot hub create `
  --name "IoTHubForDummies" `
  --resource-group "AzureForDummiesIoT" `
  --partition-count 2 `
  --sku F1

az iot hub device-identity create `
  --hub-name "IoTHubForDummies" `
  --device-id "MyDummyDevice"

az eventhubs namespace create `
  --resource-group "AzureForDummiesIoT" `
  --name "DummiesNamespace" `
  --location "West Europe" `
  --sku Standard `
  --enable-auto-inflate `
  --maximum-throughput-units 20

az eventhubs eventhub create `
  --resource-group "AzureForDummiesIoT" `
  --namespace-name "DummiesNamespace" `
  --name "DummieEventhub" `
  --message-retention 4 `
  --partition-count 15

az servicebus namespace create `
  --resource-group "AzureForDummiesIoT"`
  --name "DummiesSBNamespace" `
  --location "West Europe" `
  --sku Standard

az servicebus queue create `
  --name "DummiesQueue" `
  --namespace-name "DummiesSBNamespace" `
  --resource-group "AzureForDummiesIoT"

az stream-analytics job create `
  --name "StreamAnalyticsForDummmies" `
  --resource-group "AzureForDummiesIoT"

az storage account create `
  --location "West Europe" `
  --name "storageiotdatadummies" `
  --resource-group "AzureForDummiesIoT" `
  --sku Standard_LRS

az storage account keys list `
  --account-name "storageiotdatadummies"

az tsi environment gen2 create `
  --name "TimeseriesForDummies" `
  --location "West Europe" `
  --resource-group "AzureForDummiesIoT" `
  --time-series-id-properties name=idName type=String `
  --storage-configuration `
      account-name="storageiotdatadummies" `
      management-key="<Schlüssel ihres Speicherkontos>" `
  --sku name="L1" capacity=1