#============================================================================
#	Datei:		01-Synapse.ps1
#
#	Summary:	Dieses Script legt eine Azure Synapse Umgebung an
#
#	Datum:		2021-07-29
#
# Revisionen: yyyy-dd-mm
#                   - ...
#	Kunde:	    Azure für Dummies
#
#	PowerShell Version: 5.1
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH
#
#   Dieses Script ist nur zu Lehr- bzw. Lernzwecken gedacht
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/
$tenantId = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"

# An Ihrem Tenant anmelden
az login --tenant $tenantId --use-device-code

az group create `
  --location "West Europe" `
  --name "AzureForDummiesSynapse"

az storage account create `
  --name "storagedummiessynapse" `
  --resource-group "AzureForDummiesSynapse" `
  --enable-hierarchical-namespace true 

az storage share create `
  --account-name "storagedummiessynapse" `
  --name "synapsefileshare"


az synapse workspace create `
  --name "synapse-workspace-for-dummies" `
  --resource-group "AzureForDummiesSynapse" `
  --file-system "synapsefileshare" `
  --storage-account "storagedummiessynapse" `
  --sql-admin-login-user "synapseadmin" `
  --sql-admin-login-password "!4Va4dwzhQmzAt9kd" `
  --location "West Europe"

az synapse workspace firewall-rule create `
  --end-ip-address `
  --name `
  --resource-group "AzureForDummiesSynapse" `
  --start-ip-address `
  --workspace-name "synapse-workspace-for-dummies" 


az storage account create `
  --location "West Europe" `
  --name "storagesynapsesource" `
  --resource-group "AzureForDummiesSynapse" `
  --sku Standard_LRS


az storage account keys list `
  --account-name "storagesynapsesource"

az storage container create `
  --name "source-data" `
  --account-key <Ihr Speicherschlüssel> `
  --account-name "storagesynapsesource" 

az storage blob copy start `
  --account-key "q37ETJ7bIW6JGv+rLyPvqpPv/WSMvQiVMaN5UmIVs2t7KLv2XeEbaWmcnIQXjtlRGBEbRmivafLv1QS/djK9Ow==" `
  --account-name "storagesynapsesource" `
  --destination-blob "yellow_tripdata_2019-01.csv" `
  --destination-container "source-data" `
  --source-uri https://s3.amazonaws.com/nyc-tlc/trip+data/yellow_tripdata_2019-01.csv
