#============================================================================
#	Datei:		01-ML.ps1
#
#	Summary:	Dieses Script legt einen Azure ML Workspace an
#
#	Datum:		2021-07-29
#
# Revisionen: yyyy-dd-mm
#                   - ...
#	Buch:	    Azure für Dummies
#
#	PowerShell Version: 5.1
#------------------------------------------------------------------------------
#	Geschrieben von 
#       Frank Geisler, GDS Business Intelligence GmbH
#       Dr. Benjamin Kettner, ML!PA Consulting GmbH
#
#   Dieses Script ist nur zu Lehr- bzw. Lernzwecken gedacht
#
#   DIESER CODE UND DIE ENTHALTENEN INFORMATIONEN WERDEN OHNE GEWÄHR JEGLICHER
#   ART ZUR VERFÜGUNG GESTELLT, WEDER AUSDRÜCKLICH NOCH IMPLIZIT, EINSCHLIESSLICH,
#   ABER NICHT BESCHRÄNKT AUF FUNKTIONALITÄT ODER EIGNUNG FÜR EINEN BESTIMMTEN
#   ZWECK. SIE VERWENDEN DEN CODE AUF EIGENE GEFAHR.
#============================================================================*/

$tenantId = "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"

# An Ihrem Tenant anmelden
az login --tenant $tenantId --use-device-code

az group create `
  --location "West Europe" `
  --name "AzureForDummiesML"

az vm image terms accept `
  --offer "windows-data-science-vm" `
  --plan "windows2016" `
  --publisher "microsoft-ads"
  
az vm create `
  --name "DSVMForDummies" `
  --resource-group "AzureForDummiesML" `
  --image "microsoft-ads:windows-data-science-vm:windows2016:latest" `
  --plan-name "windows2016" `
  --plan-product "windows-data-science-vm" `
  --plan-publisher "microsoft-ads" `
  --admin-user "dummiesadm" `
  --admin-password "!P@ssw0rd12345" `
  --size "Standard_D2_v3" `
  --data-disk-sizes-gb 64

az ml workspace create `
  --workspace-name "mlworkspacedummies" `
  --location "West Europe" `
  --resource-group "AzureForDummiesML"